GDB (xrefs)

Classes | Namespaces | Macros | Typedefs
traits.h File Reference
`#include <type_traits>`

Go to the source code of this file.

## Classes
struct | gdb::make_void< Ts >
struct | gdb::Not< Predicate >
struct | gdb::Or<... >
struct | gdb::Or<>
struct | gdb::Or< B1 >
struct | gdb::Or< B1, B2 >
struct | gdb::Or< B1, B2, B3, Bn... >
struct | gdb::And<... >
struct | gdb::And<>
struct | gdb::And< B1 >
struct | gdb::And< B1, B2 >
struct | gdb::And< B1, B2, B3, Bn... >

## Namespaces
| gdb

## Macros
#define | __has_feature(x) 0

## Typedefs
template<typename... Ts>
using | gdb::void_t = typename make_void< Ts... >::type
template<typename Condition >
using | gdb::Requires = typename std::enable_if< Condition::value, void >::type

## Macro Definition Documentation

## ◆ __has_feature

#define __has_feature | ( |  | x | ) | 0

Definition at line 25 of file traits.h.